Resources 1 endpoints

GET /v2.1

Retrieves the base resources available for the eSignature REST API.

You do not need an integrator key to view the REST API versions and resources.

operationId: ServiceInformation_GetResourceInformation

Responses

200

Successful response.

400

Error encountered.

GET /v2.1

Responsivehtmlpreview 1 endpoints

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/responsive_html_preview

Creates a preview of the
responsive,
HTML versions of all of the documents in an
envelope. This method enables you to preview the
PDF document conversions to responsive HTML across
device types prior to sending.

The request body is a documentHtmlDefinition
object, which holds the responsive signing
parameters that define how to generate the HTML
version of the documents.

operationId: ResponsiveHtml_PostResponsiveHtmlPreview

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/documentHtmlDefinition

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/responsive_html_preview

Services 1 endpoints

GET /service_information

Retrieves the available REST API versions.

DocuSign Production system: https://www.docusign.net/restapi/service_information
DocuSign Demo system: https://demo.docusign.net/restapi/service_information

You do not need an integration key to view the REST API versions and resources.

operationId: ServiceInformation_GetServiceInformation

Responses

200

Successful response.

400

Error encountered.

GET /service_information

Signinggroupusers 3 endpoints

DELETE /v2.1/accounts/{accountId}/signing_groups/{signingGroupId}/users

Deletes one or more members from the specified signing group.

operationId: SigningGroups_DeleteSigningGroupUsers

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

signingGroupId path required string

The ID of the signing group.

Note: When you send an envelope to a signing group,
anyone in the group can open it and sign it with their own signature.
For this reason, DocuSign recommends that
you do not include non-signer recipients
(such as carbon copy recipients)
in the same signing group as signer recipients.
However, you could create a second signing group
for the non-signer recipients and change t
he default action of Needs to Sign to a different value,
such as Receives a Copy.

Request Body

#/components/requestBodies/signingGroupUsers

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/signing_groups/{signingGroupId}/users
GET /v2.1/accounts/{accountId}/signing_groups/{signingGroupId}/users

Retrieves the list of members in the specified Signing Group.

operationId: SigningGroups_GetSigningGroupUsers

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

signingGroupId path required string

The ID of the signing group.

Note: When you send an envelope to a signing group,
anyone in the group can open it and sign it with their own signature.
For this reason, DocuSign recommends that
you do not include non-signer recipients
(such as carbon copy recipients)
in the same signing group as signer recipients.
However, you could create a second signing group
for the non-signer recipients and change t
he default action of Needs to Sign to a different value,
such as Receives a Copy.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/signing_groups/{signingGroupId}/users
PUT /v2.1/accounts/{accountId}/signing_groups/{signingGroupId}/users

Adds one or more new members to a signing group. A signing group can have a maximum of 50 members.

operationId: SigningGroups_PutSigningGroupUsers

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

signingGroupId path required string

The ID of the signing group.

Note: When you send an envelope to a signing group,
anyone in the group can open it and sign it with their own signature.
For this reason, DocuSign recommends that
you do not include non-signer recipients
(such as carbon copy recipients)
in the same signing group as signer recipients.
However, you could create a second signing group
for the non-signer recipients and change t
he default action of Needs to Sign to a different value,
such as Receives a Copy.

Request Body

#/components/requestBodies/signingGroupUsers

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/signing_groups/{signingGroupId}/users

Signinggroups 6 endpoints

DELETE /v2.1/accounts/{accountId}/signing_groups

Deletes one or more signing groups in the specified account.

operationId: SigningGroups_DeleteSigningGroups

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/signingGroupInformation

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/signing_groups
GET /v2.1/accounts/{accountId}/signing_groups

Retrieves a list of all signing groups in the specified account.

operationId: SigningGroups_GetSigningGroups

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

group_type query optional string

Filters by the type of signing group. Valid values:

  • sharedSigningGroup
  • privateSigningGroup
  • systemSigningGroup
include_users query optional string

When true, the response includes the signing group members.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/signing_groups
POST /v2.1/accounts/{accountId}/signing_groups

Creates one or more signing groups.

Multiple signing groups can be created in one call. Only users with account administrator privileges can create signing groups.

An account can have a maximum of 50 signing groups. Each signing group can have a maximum of 50 group members.

Signing groups can be used by any account user.

operationId: SigningGroups_PostSigningGroups

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/signingGroupInformation

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/signing_groups
PUT /v2.1/accounts/{accountId}/signing_groups

Updates the name of one or more existing signing groups.

operationId: SigningGroups_PutSigningGroups

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/signingGroupInformation

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/signing_groups
GET /v2.1/accounts/{accountId}/signing_groups/{signingGroupId}

Retrieves information, including group member information, for the specified signing group.

operationId: SigningGroups_GetSigningGroup

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

signingGroupId path required string

The ID of the signing group.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/signing_groups/{signingGroupId}
PUT /v2.1/accounts/{accountId}/signing_groups/{signingGroupId}

Updates signing group name and member information. You can also add new members to the signing group. A signing group can have a maximum of 50 members.

operationId: SigningGroups_PutSigningGroup

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

signingGroupId path required string

The ID of the signing group.

Request Body

application/json
schema signingGroup
Property Type Required
users array optional
email string optional
userName string optional
errorDetails object optional
message string optional
errorCode string optional
created string optional
modified string optional
createdBy string optional
groupName string optional
groupType string optional
groupEmail string optional
modifiedBy string optional
errorDetails object optional
message string optional
errorCode string optional
signingGroupId string optional

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/signing_groups/{signingGroupId}

Tabsblob 2 endpoints

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/tabs_blob

This endpoint has been deprecated.

operationId: TabsBlob_GetTabsBlob

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/tabs_blob
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/tabs_blob

This endpoint has been deprecated.

operationId: TabsBlob_PutTabsBlob

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/tabs_blob

Templatecustomfields 4 endpoints

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/custom_fields

Deletes envelope custom fields in a template.

operationId: CustomFields_DeleteTemplateCustomFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/templateCustomFields

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/custom_fields
GET /v2.1/accounts/{accountId}/templates/{templateId}/custom_fields

Retrieves the custom document field information from an existing template.

operationId: CustomFields_GetTemplateCustomFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/custom_fields
POST /v2.1/accounts/{accountId}/templates/{templateId}/custom_fields

Creates custom document fields in an existing template document.

operationId: CustomFields_PostTemplateCustomFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/templateCustomFields

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/templates/{templateId}/custom_fields
PUT /v2.1/accounts/{accountId}/templates/{templateId}/custom_fields

Updates the custom fields in a template.

Each custom field used in a template must have a unique name.

operationId: CustomFields_PutTemplateCustomFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/templateCustomFields

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/templates/{templateId}/custom_fields

Templatedocumentfields 4 endpoints

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/fields

Deletes custom document fields from an existing template document.

operationId: DocumentFields_DeleteTemplateDocumentFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/documentFieldsInformation

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/fields
GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/fields

This method retrieves the custom document fields for an existing template document.

operationId: DocumentFields_GetTemplateDocumentFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

templateId path required string

The ID of the template.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/fields
POST /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/fields

Creates custom document fields in an existing template document.

operationId: DocumentFields_PostTemplateDocumentFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/documentFieldsInformation

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/fields
PUT /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/fields

Updates existing custom document fields in an existing template document.

operationId: DocumentFields_PutTemplateDocumentFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/documentFieldsInformation

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/fields

Templatedocumenthtmldefinitions 1 endpoints

GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/html_definitions
operationId: ResponsiveHtml_GetTemplateDocumentHtmlDefinitions

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

templateId path required string

The ID of the template.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/html_definitions

Templatedocumentresponsivehtmlpreview 1 endpoints

POST /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/responsive_html_preview

Creates a preview of the
responsive,
HTML version of a specific template document. This
method enables you to preview a PDF document
conversion to responsive HTML across device types
prior to sending.

The request body is a documentHtmlDefinition
object, which holds the responsive signing
parameters that define how to generate the HTML
version of the signing document.

operationId: ResponsiveHtml_PostTemplateDocumentResponsiveHtmlPreview

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/documentHtmlDefinition

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/responsive_html_preview

Templatedocumenttabs 5 endpoints

GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages/{pageNumber}/tabs

Returns the tabs from the page specified by pageNumber of the document specified by documentId in the
template specified by templateId.

operationId: Tabs_GetTemplatePageTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

pageNumber path required string

The page number being accessed.

templateId path required string

The ID of the template.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages/{pageNumber}/tabs
DELETE /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/tabs

Deletes tabs from the document specified by documentId in the
template specified by templateId.

operationId: Tabs_DeleteTemplateDocumentTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/templateTabs

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/tabs
GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/tabs

Returns the tabs on the document specified by documentId in the
template specified by templateId.

operationId: Tabs_GetTemplateDocumentTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

templateId path required string

The ID of the template.

page_numbers query optional string

Filters for tabs that occur on the pages that you specify. Enter as a comma-separated list of page Guids.

Example: page_numbers=2,6

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/tabs
POST /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/tabs

Adds tabs to the document specified by documentId in the
template specified by templateId.

In the request body, you only need to specify the tabs that your
are adding. For example, to add a text
prefill tab,
your request body might look like this:

{
  "prefillTabs": {
    "textTabs": [
      {
        "value": "a prefill text tab",
        "pageNumber": "1",
        "documentId": "1",
        "xPosition": 316,
        "yPosition": 97
      }
    ]
  }
}
operationId: Tabs_PostTemplateDocumentTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/templateTabs

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/tabs
PUT /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/tabs

Updates tabs in the document specified by documentId in the
template specified by templateId.

operationId: Tabs_PutTemplateDocumentTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/templateTabs

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/tabs

Templatedocumentvisibility 3 endpoints

PUT /v2.1/accounts/{accountId}/templates/{templateId}/recipients/document_visibility

This method updates document visibility for one or more template recipients based on the recipientId and visible values that you include in the request body.

Note: A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents.

operationId: Recipients_PutTemplateRecipientsDocumentVisibility

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/templateDocumentVisibilityList

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/templates/{templateId}/recipients/document_visibility
GET /v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}/document_visibility

This method returns information about document visibility for a template recipient.

operationId: Recipients_GetTemplateRecipientDocumentVisibility

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

templateId path required string

The ID of the template.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}/document_visibility
PUT /v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}/document_visibility

This method updates the document visibility for a template recipient.

Note: A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents.

operationId: Recipients_PutTemplateRecipientDocumentVisibility

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/templateDocumentVisibilityList

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}/document_visibility

Templatedocuments 5 endpoints

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/documents

This method deletes one or more documents from an existing template.

To delete a document, use only the relevant parts of the envelopeDefinition.
For example, this request body specifies that you want to delete the document whose documentId is “1”.

{
  "documents": [
    {
      "documentId": "1"
    }
  ]
}
operationId: Documents_DeleteTemplateDocuments

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/envelopeDefinition

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/documents
GET /v2.1/accounts/{accountId}/templates/{templateId}/documents

Retrieves a list of documents associated with the specified template.

operationId: Documents_GetTemplateDocuments

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

include_tabs query optional string

Reserved for DocuSign.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/documents
PUT /v2.1/accounts/{accountId}/templates/{templateId}/documents

Adds one or more documents to an existing template document.

operationId: Documents_PutTemplateDocuments

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/envelopeDefinition

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/templates/{templateId}/documents
GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}

This method retrieves one or more PDF documents from the template that you specify.

You can specify the ID of the document to retrieve, or pass in the value combined to retrieve all documents in the template as a single PDF file.

operationId: Documents_GetTemplateDocument

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

templateId path required string

The ID of the template.

encrypt query optional string

When true, the PDF bytes returned in the response are encrypted for all the key managers configured on your DocuSign account. You can decrypt the documents by using the Key Manager DecryptDocument API method. For more information about Key Manager, see the DocuSign Security Appliance Installation Guide that your organization received from DocuSign.

file_type query optional string
show_changes query optional string

When true, any document fields that a recipient changed are highlighted in yellow in the returned PDF document, and optional signatures or initials are outlined in red.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}
PUT /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}

This methods updates an existing template document.

operationId: Documents_PutTemplateDocument

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

templateId path required string

The ID of the template.

is_envelope_definition query optional string

Request Body

#/components/requestBodies/envelopeDefinition

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}

Templatehtmldefinitions 1 endpoints

GET /v2.1/accounts/{accountId}/templates/{templateId}/html_definitions
operationId: ResponsiveHtml_GetTemplateHtmlDefinitions

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/html_definitions

Templatelocks 4 endpoints

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/lock

Deletes the lock from the specified template.
The user deleting the lock must be the same user
who locked the template.

You must include the X-DocuSign-Edit header
as described in
TemplateLocks: create.

This method takes an optional query parameter
that lets you specify whether
changes made while the template was locked
are kept or discarded.

Query Parameter Description
save_changes When true (the default), any changes made while the lock was active are saved. When false, any changes made while the template was locked are discarded.

Related topics

operationId: Lock_DeleteTemplateLock

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/lockRequest

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/lock
GET /v2.1/accounts/{accountId}/templates/{templateId}/lock

Retrieves general information about a template lock.

The user requesting the information must be the same user
who locked the template.

You can use this method to recover the lock information,
including the lockToken,
for a locked template.
The X-DocuSign-Edit header is included in the response.

See
TemplateLocks: create
for a description of the X-DocuSign-Edit header.

Related topics

operationId: Lock_GetTemplateLock

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/lock
POST /v2.1/accounts/{accountId}/templates/{templateId}/lock

This method locks the specified template and sets the time until
the lock expires to prevent other users or recipients from
changing the template.

The response to this request includes a lockToken parameter
that you must use in the X-DocuSign-Edit header for
every PUT method (typically a method that updates a template)
while the template is locked.

If you do not provide the lockToken when accessing
a locked template, you will get the following
error:

{
   "errorCode": "EDIT_LOCK_NOT_LOCK_OWNER",
   "message": "The user is not the owner of the lock. The template is locked by another user or in another application"
}

The X-DocuSign-Edit header

The X-DocuSign-Edit header looks like this
and can be specified in either JSON or XML.

JSON

{
  "LockToken": "token-from-response",
  "LockDurationInSeconds": "600"
}

XML

<DocuSignEdit>
  <LockToken>token-from-response</LockToken>
  <LockDurationInSeconds>600</LockDurationInSeconds>
</DocuSignEdit>

In the actual HTTP header, you would remove the linebreaks:

X-DocuSign-Edit: {"LockToken": "token-from-response", "LockDurationInSeconds": "600" }
    or
X-DocuSign-Edit:<DocuSignEdit><LockToken>token-from-response</LockToken><LockDurationInSeconds>600</LockDurationInSeconds></DocuSignEdit>

Related topics

operationId: Lock_PostTemplateLock

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/lockRequest

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/templates/{templateId}/lock
PUT /v2.1/accounts/{accountId}/templates/{templateId}/lock

Updates the lock information for a locked template.

You must include the X-DocuSign-Edit header
as described in
TemplateLocks: create.

Use this method to change the duration
of the lock (lockDurationInSeconds)
or the lockedByApp string.

The request body is a full lockRequest object,
but you only need to specify the
properties that you are updating. For example:

{
  "lockDurationInSeconds": "3600",
  "lockedByApp": "My Application"
}
operationId: Lock_PutTemplateLock

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/lockRequest

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/templates/{templateId}/lock

Templaterecipienttabs 4 endpoints

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}/tabs

Deletes one or more tabs associated with a recipient in a template.

operationId: Recipients_DeleteTemplateRecipientTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/templateTabs

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}/tabs
GET /v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}/tabs

Gets the tabs information for a signer or sign-in-person recipient in a template.

operationId: Recipients_GetTemplateRecipientTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

templateId path required string

The ID of the template.

include_anchor_tab_locations query optional string

When true, all tabs with anchor tab properties are included in the response. The default value is false.

include_metadata query optional string

When true, the response includes metadata indicating which properties are editable.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}/tabs
POST /v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}/tabs

Adds one or more tabs for a recipient.

operationId: Recipients_PostTemplateRecipientTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/templateTabs

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}/tabs
PUT /v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}/tabs

Updates one or more tabs for a recipient in a template.

operationId: Recipients_PutTemplateRecipientTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/templateTabs

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}/tabs

Templaterecipients 4 endpoints

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/recipients

Deletes one or more recipients from a template. Recipients to be deleted are listed in the request, with the recipientId being used as the key for deleting recipients.

operationId: Recipients_DeleteTemplateRecipients

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

Request Body

#/components/requestBodies/templateRecipients

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/templates/{templateId}/recipients
GET /v2.1/accounts/{accountId}/templates/{templateId}/recipients

Retrieves the information for all recipients in the specified template.

operationId: Recipients_GetTemplateRecipients

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

include_anchor_tab_locations query optional string

When true and include_tabs is set to true, all tabs with anchor tab properties are included in the response.

include_extended query optional string

When true, the extended properties are included in the response.

include_tabs query optional string

When true, the tab information associated with the recipient is included in the response.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/templates/{templateId}/recipients
POST /v2.1/accounts/{accountId}/templates/{templateId}/recipients

Adds one or more recipients to a template.

operationId: Recipients_PostTemplateRecipients

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

resend_envelope query optional string

When true,
resends the envelope to the recipients
that you specify in the request body.
Use this parameter to resend the envelope
to a recipient
who deleted the original email notification.

Note: Correcting an envelope is a different process.
DocuSign always resends an envelope when you correct it,
regardless of the value that you enter here.

Request Body

#/components/requestBodies/templateRecipients

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/templates/{templateId}/recipients
PUT /v2.1/accounts/{accountId}/templates/{templateId}/recipients

Updates recipients in a template.

You can edit the following properties: email, userName, routingOrder, faxNumber, deliveryMethod, accessCode, and requireIdLookup.

operationId: Recipients_PutTemplateRecipients

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

templateId path required string

The ID of the template.

resend_envelope query optional string

When true,
resends the envelope to the recipients
that you specify in the request body.
Use this parameter to resend the envelope
to a recipient
who deleted the original email notification.

Note: Correcting an envelope is a different process.
DocuSign always resends an envelope when you correct it,
regardless of the value that you enter here.

Request Body

#/components/requestBodies/templateRecipients

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/templates/{templateId}/recipients
Load more endpoints